%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name htmlparser2

Name: %{?scl_prefix}nodejs-htmlparser2
Version: 3.10.1
Release: 2%{?dist}
Summary: Fast & forgiving HTML/XML/RSS parser
License: MIT
Group: Development/Libraries
URL: https://github.com/fb55/htmlparser2#readme
Source0: https://registry.npmjs.org/dom-serializer/-/dom-serializer-0.2.2.tgz
Source1: https://registry.npmjs.org/domelementtype/-/domelementtype-1.3.1.tgz
Source2: https://registry.npmjs.org/domelementtype/-/domelementtype-2.0.1.tgz
Source3: https://registry.npmjs.org/domhandler/-/domhandler-2.4.2.tgz
Source4: https://registry.npmjs.org/domutils/-/domutils-1.7.0.tgz
Source5: https://registry.npmjs.org/entities/-/entities-1.1.2.tgz
Source6: https://registry.npmjs.org/entities/-/entities-2.0.0.tgz
Source7: https://registry.npmjs.org/htmlparser2/-/htmlparser2-3.10.1.tgz
Source8: https://registry.npmjs.org/inherits/-/inherits-2.0.4.tgz
Source9: https://registry.npmjs.org/readable-stream/-/readable-stream-3.6.0.tgz
Source10: https://registry.npmjs.org/safe-buffer/-/safe-buffer-5.2.0.tgz
Source11: https://registry.npmjs.org/string_decoder/-/string_decoder-1.3.0.tgz
Source12: https://registry.npmjs.org/util-deprecate/-/util-deprecate-1.0.2.tgz
Source13: nodejs-htmlparser2-%{version}-registry.npmjs.org.tgz
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix_nodejs}npm
%else
BuildRequires: nodejs-packaging
BuildRequires: npm
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(dom-serializer)) = 0.2.2
Provides: bundled(npm(domelementtype)) = 1.3.1
Provides: bundled(npm(domelementtype)) = 2.0.1
Provides: bundled(npm(domhandler)) = 2.4.2
Provides: bundled(npm(domutils)) = 1.7.0
Provides: bundled(npm(entities)) = 1.1.2
Provides: bundled(npm(entities)) = 2.0.0
Provides: bundled(npm(htmlparser2)) = 3.10.1
Provides: bundled(npm(inherits)) = 2.0.4
Provides: bundled(npm(readable-stream)) = 3.6.0
Provides: bundled(npm(safe-buffer)) = 5.2.0
Provides: bundled(npm(string_decoder)) = 1.3.0
Provides: bundled(npm(util-deprecate)) = 1.0.2
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 13 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/README.md

%changelog
* Wed Apr 29 2020 Eric D. Helms <ericdhelms@gmail.com> - 3.10.1-2
- Require NPM to build on EL8

* Tue Mar 03 2020 Adam Ruzicka <aruzicka@redhat.com> 3.10.1-1
- Add nodejs-htmlparser2 generated by npm2rpm using the bundle strategy

